﻿namespace LLM_Doghouse
{
    public partial class PreviewForm : Form
    {
        public PreviewForm()
        {
            InitializeComponent();
        }

        private void PreviewForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            string strFileName = picPreview.ImageLocation;
            picPreview.Image = null;
            File.Delete(strFileName);
        }

        private void picPreview_DoubleClick(object sender, EventArgs e)
        {
            string rtn = SaveFile(Path.GetDirectoryName(picPreview.ImageLocation), this.Text, Path.GetFileName(picPreview.ImageLocation));
            if (rtn != "") File.Copy(picPreview.ImageLocation,rtn);
        }

        private string SaveFile(string strFolder, string strTitle, string strInitFile)
        {
            SaveFileDialog dialog = new SaveFileDialog();
            dialog.FileName = strInitFile;
            dialog.InitialDirectory = strFolder;
            dialog.FilterIndex = 2;
            dialog.Title = strTitle;
            dialog.RestoreDirectory = true;
            dialog.Filter = $"model png|*.png;";
            if (dialog.ShowDialog() == DialogResult.OK) return (dialog.FileName);
            return ("");
        }
    }
}
